Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
Botan::newhope_poly Class Reference

`#include <newhope.h>`

## Public Member Functions
| ~newhope_poly ()

## Public Attributes
uint16_t | coeffs [1024]

## Detailed Description

Definition at line 26 of file newhope.h.

## Constructor & Destructor Documentation

Botan::newhope_poly::~newhope_poly | ( |  | ) |
| inline

Definition at line 30 of file newhope.h.

References Botan::secure_scrub_memory().

30 { secure_scrub_memory(coeffs, sizeof(coeffs)); }
Botan::secure_scrub_memory
void secure_scrub_memory(void *ptr, size_t n)
Definition: mem_ops.cpp:17
Botan::newhope_poly::coeffs
uint16_t coeffs[1024]
Definition: newhope.h:29

## Member Data Documentation

uint16_t Botan::newhope_poly::coeffs[1024]

Definition at line 29 of file newhope.h.

The documentation for this class was generated from the following file:

- src/lib/pubkey/newhope/newhope.h